Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/SlaveView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/SlaveView.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/SlaveView.Designer.cs	(revision 6823)
@@ -70,7 +70,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.txtSlaveState.Enabled = false;
-      this.txtSlaveState.Location = new System.Drawing.Point(120, 186);
+      this.txtSlaveState.Location = new System.Drawing.Point(102, 190);
       this.txtSlaveState.Name = "txtSlaveState";
-      this.txtSlaveState.Size = new System.Drawing.Size(249, 20);
+      this.txtSlaveState.Size = new System.Drawing.Size(267, 20);
       this.txtSlaveState.TabIndex = 27;
       // 
@@ -80,7 +80,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.txtOS.Enabled = false;
-      this.txtOS.Location = new System.Drawing.Point(120, 160);
+      this.txtOS.Location = new System.Drawing.Point(102, 164);
       this.txtOS.Name = "txtOS";
-      this.txtOS.Size = new System.Drawing.Size(249, 20);
+      this.txtOS.Size = new System.Drawing.Size(267, 20);
       this.txtOS.TabIndex = 26;
       // 
@@ -90,7 +90,7 @@
       this.label15.Location = new System.Drawing.Point(3, 193);
       this.label15.Name = "label15";
-      this.label15.Size = new System.Drawing.Size(32, 13);
+      this.label15.Size = new System.Drawing.Size(35, 13);
       this.label15.TabIndex = 25;
-      this.label15.Text = "State";
+      this.label15.Text = "State:";
       // 
       // label14
@@ -99,7 +99,7 @@
       this.label14.Location = new System.Drawing.Point(3, 167);
       this.label14.Name = "label14";
-      this.label14.Size = new System.Drawing.Size(90, 13);
+      this.label14.Size = new System.Drawing.Size(93, 13);
       this.label14.TabIndex = 24;
-      this.label14.Text = "Operating System";
+      this.label14.Text = "Operating System:";
       // 
       // txtDetailsDescription
@@ -108,7 +108,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.txtDetailsDescription.Enabled = false;
-      this.txtDetailsDescription.Location = new System.Drawing.Point(120, 56);
+      this.txtDetailsDescription.Location = new System.Drawing.Point(102, 60);
       this.txtDetailsDescription.Name = "txtDetailsDescription";
-      this.txtDetailsDescription.Size = new System.Drawing.Size(249, 20);
+      this.txtDetailsDescription.Size = new System.Drawing.Size(267, 20);
       this.txtDetailsDescription.TabIndex = 23;
       // 
@@ -118,7 +118,7 @@
       this.label13.Location = new System.Drawing.Point(3, 63);
       this.label13.Name = "label13";
-      this.label13.Size = new System.Drawing.Size(60, 13);
+      this.label13.Size = new System.Drawing.Size(63, 13);
       this.label13.TabIndex = 22;
-      this.label13.Text = "Description";
+      this.label13.Text = "Description:";
       // 
       // txtName
@@ -126,7 +126,7 @@
       this.txtName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtName.Location = new System.Drawing.Point(120, 4);
+      this.txtName.Location = new System.Drawing.Point(102, 8);
       this.txtName.Name = "txtName";
-      this.txtName.Size = new System.Drawing.Size(249, 20);
+      this.txtName.Size = new System.Drawing.Size(267, 20);
       this.txtName.TabIndex = 21;
       this.txtName.TextChanged += new System.EventHandler(this.txtName_TextChanged);
@@ -137,7 +137,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.txtCPU.Enabled = false;
-      this.txtCPU.Location = new System.Drawing.Point(120, 82);
+      this.txtCPU.Location = new System.Drawing.Point(102, 86);
       this.txtCPU.Name = "txtCPU";
-      this.txtCPU.Size = new System.Drawing.Size(249, 20);
+      this.txtCPU.Size = new System.Drawing.Size(267, 20);
       this.txtCPU.TabIndex = 20;
       // 
@@ -147,7 +147,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.txtMemory.Enabled = false;
-      this.txtMemory.Location = new System.Drawing.Point(120, 108);
+      this.txtMemory.Location = new System.Drawing.Point(102, 112);
       this.txtMemory.Name = "txtMemory";
-      this.txtMemory.Size = new System.Drawing.Size(249, 20);
+      this.txtMemory.Size = new System.Drawing.Size(267, 20);
       this.txtMemory.TabIndex = 19;
       // 
@@ -157,7 +157,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.txtLastHeartbeat.Enabled = false;
-      this.txtLastHeartbeat.Location = new System.Drawing.Point(120, 212);
+      this.txtLastHeartbeat.Location = new System.Drawing.Point(102, 216);
       this.txtLastHeartbeat.Name = "txtLastHeartbeat";
-      this.txtLastHeartbeat.Size = new System.Drawing.Size(249, 20);
+      this.txtLastHeartbeat.Size = new System.Drawing.Size(267, 20);
       this.txtLastHeartbeat.TabIndex = 18;
       // 
@@ -167,7 +167,7 @@
       this.label12.Location = new System.Drawing.Point(3, 219);
       this.label12.Name = "label12";
-      this.label12.Size = new System.Drawing.Size(77, 13);
+      this.label12.Size = new System.Drawing.Size(80, 13);
       this.label12.TabIndex = 17;
-      this.label12.Text = "Last Heartbeat";
+      this.label12.Text = "Last Heartbeat:";
       // 
       // label11
@@ -176,7 +176,7 @@
       this.label11.Location = new System.Drawing.Point(3, 115);
       this.label11.Name = "label11";
-      this.label11.Size = new System.Drawing.Size(44, 13);
+      this.label11.Size = new System.Drawing.Size(47, 13);
       this.label11.TabIndex = 16;
-      this.label11.Text = "Memory";
+      this.label11.Text = "Memory:";
       // 
       // label10
@@ -185,7 +185,7 @@
       this.label10.Location = new System.Drawing.Point(3, 89);
       this.label10.Name = "label10";
-      this.label10.Size = new System.Drawing.Size(29, 13);
+      this.label10.Size = new System.Drawing.Size(32, 13);
       this.label10.TabIndex = 15;
-      this.label10.Text = "CPU";
+      this.label10.Text = "CPU:";
       // 
       // label9
@@ -194,7 +194,7 @@
       this.label9.Location = new System.Drawing.Point(3, 11);
       this.label9.Name = "label9";
-      this.label9.Size = new System.Drawing.Size(35, 13);
+      this.label9.Size = new System.Drawing.Size(38, 13);
       this.label9.TabIndex = 14;
-      this.label9.Text = "Name";
+      this.label9.Text = "Name:";
       // 
       // label1
@@ -203,7 +203,7 @@
       this.label1.Location = new System.Drawing.Point(3, 141);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(67, 13);
+      this.label1.Size = new System.Drawing.Size(70, 13);
       this.label1.TabIndex = 28;
-      this.label1.Text = "Free memory";
+      this.label1.Text = "Free memory:";
       // 
       // txtFreeMemory
@@ -212,7 +212,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.txtFreeMemory.Enabled = false;
-      this.txtFreeMemory.Location = new System.Drawing.Point(120, 134);
+      this.txtFreeMemory.Location = new System.Drawing.Point(102, 138);
       this.txtFreeMemory.Name = "txtFreeMemory";
-      this.txtFreeMemory.Size = new System.Drawing.Size(249, 20);
+      this.txtFreeMemory.Size = new System.Drawing.Size(267, 20);
       this.txtFreeMemory.TabIndex = 29;
       // 
@@ -222,7 +222,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.txtId.Enabled = false;
-      this.txtId.Location = new System.Drawing.Point(120, 30);
+      this.txtId.Location = new System.Drawing.Point(102, 34);
       this.txtId.Name = "txtId";
-      this.txtId.Size = new System.Drawing.Size(249, 20);
+      this.txtId.Size = new System.Drawing.Size(267, 20);
       this.txtId.TabIndex = 30;
       // 
@@ -232,7 +232,7 @@
       this.label2.Location = new System.Drawing.Point(3, 37);
       this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(16, 13);
+      this.label2.Size = new System.Drawing.Size(19, 13);
       this.label2.TabIndex = 31;
-      this.label2.Text = "Id";
+      this.label2.Text = "Id:";
       // 
       // SlaveView
@@ -259,5 +259,5 @@
       this.Controls.Add(this.label9);
       this.Name = "SlaveView";
-      this.Size = new System.Drawing.Size(372, 236);
+      this.Size = new System.Drawing.Size(372, 241);
       this.ResumeLayout(false);
       this.PerformLayout();
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HiveSlaveApplication.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HiveSlaveApplication.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HiveSlaveApplication.cs	(revision 6823)
@@ -28,6 +28,7 @@
   [Application("Hive Slave", "Runs the Hive Slave as a HeuristicLab application")]
   internal class HiveSlaveApplication : ApplicationBase {
+    private HeuristicLab.Clients.Hive.SlaveCore.Core core;
     public override void Run() {
-      HeuristicLab.Clients.Hive.SlaveCore.Core core = new HeuristicLab.Clients.Hive.SlaveCore.Core();
+      core = new HeuristicLab.Clients.Hive.SlaveCore.Core();
       Thread coreThread = new Thread(core.Start);
       coreThread.IsBackground = true;
@@ -36,6 +37,9 @@
       MainWindow window = new MainWindow();
       window.Content = new SlaveItem();
+      Application.ApplicationExit += new System.EventHandler(Application_ApplicationExit);
       Application.Run(window);
+    }
 
+    void Application_ApplicationExit(object sender, System.EventArgs e) {
       core.Shutdown();
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.Designer.cs	(revision 6823)
@@ -38,5 +38,5 @@
       this.slaveMainView.Name = "slaveMainView";
       this.slaveMainView.ReadOnly = false;
-      this.slaveMainView.Size = new System.Drawing.Size(588, 328);
+      this.slaveMainView.Size = new System.Drawing.Size(590, 488);
       this.slaveMainView.TabIndex = 0;
       // 
@@ -45,10 +45,9 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(612, 352);
+      this.ClientSize = new System.Drawing.Size(614, 512);
       this.Controls.Add(this.slaveMainView);
       this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
       this.Name = "MainWindow";
       this.Text = "Hive Slave";
-      this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.MainWindow_FormClosing);
       this.ResumeLayout(false);
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.cs	(revision 6823)
@@ -45,11 +45,4 @@
       }
     }
-
-    private void MainWindow_FormClosing(object sender, FormClosingEventArgs e) {
-      if (e.CloseReason == CloseReason.UserClosing) {
-        e.Cancel = true;
-        Hide();
-      }
-    }
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.Designer.cs	(revision 6823)
@@ -39,5 +39,5 @@
       this.slaveMainView.Name = "slaveMainView";
       this.slaveMainView.ReadOnly = false;
-      this.slaveMainView.Size = new System.Drawing.Size(588, 328);
+      this.slaveMainView.Size = new System.Drawing.Size(590, 488);
       this.slaveMainView.TabIndex = 0;
       // 
@@ -46,5 +46,5 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(612, 352);
+      this.ClientSize = new System.Drawing.Size(614, 512);
       this.Controls.Add(this.slaveMainView);
       this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.Designer.cs	(revision 6823)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.Designer.cs	(revision 6823)
@@ -0,0 +1,78 @@
+﻿namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
+  partial class AboutDialog {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AboutDialog));
+      this.okButton = new System.Windows.Forms.Button();
+      this.aboutView = new HeuristicLab.Clients.Hive.SlaveCore.Views.AboutView();
+      this.SuspendLayout();
+      // 
+      // okButton
+      // 
+      this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
+      this.okButton.Location = new System.Drawing.Point(493, 296);
+      this.okButton.Name = "okButton";
+      this.okButton.Size = new System.Drawing.Size(75, 23);
+      this.okButton.TabIndex = 1;
+      this.okButton.Text = "&Close";
+      this.okButton.UseVisualStyleBackColor = true;
+      this.okButton.Click += new System.EventHandler(this.okButton_Click);
+      // 
+      // aboutView
+      // 
+      this.aboutView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.aboutView.Caption = "About View: Show some information about HeursticLab Hive";
+      this.aboutView.Content = null;
+      this.aboutView.Location = new System.Drawing.Point(12, 12);
+      this.aboutView.Name = "aboutView";
+      this.aboutView.ReadOnly = false;
+      this.aboutView.Size = new System.Drawing.Size(556, 278);
+      this.aboutView.TabIndex = 0;
+      // 
+      // AboutDialog
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(580, 331);
+      this.Controls.Add(this.okButton);
+      this.Controls.Add(this.aboutView);
+      this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "AboutDialog";
+      this.ShowInTaskbar = false;
+      this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
+      this.Text = "About HeuristicLab Hive";
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private AboutView aboutView;
+    private System.Windows.Forms.Button okButton;
+  }
+}
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.cs	(revision 6823)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.cs	(revision 6823)
@@ -0,0 +1,35 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
+  public partial class AboutDialog : Form {
+    public AboutDialog() {
+      InitializeComponent();
+    }
+
+    private void okButton_Click(object sender, EventArgs e) {
+      Close();
+    }
+  }
+}
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/HeuristicLab.Clients.Hive.Slave.Views-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/HeuristicLab.Clients.Hive.Slave.Views-3.3.csproj	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/HeuristicLab.Clients.Hive.Slave.Views-3.3.csproj	(revision 6823)
@@ -123,4 +123,10 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="AboutDialog.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="AboutDialog.Designer.cs">
+      <DependentUpon>AboutDialog.cs</DependentUpon>
+    </Compile>
     <Compile Include="AboutView.cs">
       <SubType>UserControl</SubType>
@@ -146,10 +152,4 @@
     <Compile Include="SlaveMainViewBase.Designer.cs">
       <DependentUpon>SlaveMainViewBase.cs</DependentUpon>
-    </Compile>
-    <Compile Include="SlaveViewTray.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="SlaveViewTray.Designer.cs">
-      <DependentUpon>SlaveViewTray.cs</DependentUpon>
     </Compile>
     <Compile Include="SlaveCmdsWithKill.cs">
@@ -220,4 +220,7 @@
   </ItemGroup>
   <ItemGroup>
+    <EmbeddedResource Include="AboutDialog.resx">
+      <DependentUpon>AboutDialog.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="AboutView.resx">
       <DependentUpon>AboutView.cs</DependentUpon>
@@ -231,7 +234,4 @@
     <EmbeddedResource Include="SlaveMainViewBase.resx">
       <DependentUpon>SlaveMainViewBase.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="SlaveViewTray.resx">
-      <DependentUpon>SlaveViewTray.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="SlaveCmdsWithKill.resx">
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.Designer.cs	(revision 6823)
@@ -60,5 +60,5 @@
       this.lstJobs.Location = new System.Drawing.Point(3, 3);
       this.lstJobs.Name = "lstJobs";
-      this.lstJobs.Size = new System.Drawing.Size(458, 343);
+      this.lstJobs.Size = new System.Drawing.Size(380, 164);
       this.lstJobs.TabIndex = 0;
       this.lstJobs.UseCompatibleStateImageBehavior = false;
@@ -81,5 +81,5 @@
       this.Controls.Add(this.lstJobs);
       this.Name = "JobsView";
-      this.Size = new System.Drawing.Size(464, 349);
+      this.Size = new System.Drawing.Size(386, 170);
       this.ResumeLayout(false);
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.Designer.cs	(revision 6823)
@@ -45,7 +45,9 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(SlaveCmdsBase));
       this.btnStart = new System.Windows.Forms.Button();
       this.btnStop = new System.Windows.Forms.Button();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       this.SuspendLayout();
       // 
@@ -53,10 +55,9 @@
       // 
       this.btnStart.Image = ((System.Drawing.Image)(resources.GetObject("btnStart.Image")));
-      this.btnStart.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
-      this.btnStart.Location = new System.Drawing.Point(10, 89);
+      this.btnStart.Location = new System.Drawing.Point(3, 3);
       this.btnStart.Name = "btnStart";
-      this.btnStart.Size = new System.Drawing.Size(75, 23);
+      this.btnStart.Size = new System.Drawing.Size(24, 24);
       this.btnStart.TabIndex = 10;
-      this.btnStart.Text = "Start";
+      this.toolTip.SetToolTip(this.btnStart, "Start/Resume the slave");
       this.btnStart.UseVisualStyleBackColor = true;
       this.btnStart.Click += new System.EventHandler(this.btnStart_Click);
@@ -65,10 +66,9 @@
       // 
       this.btnStop.Image = ((System.Drawing.Image)(resources.GetObject("btnStop.Image")));
-      this.btnStop.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
-      this.btnStop.Location = new System.Drawing.Point(10, 60);
+      this.btnStop.Location = new System.Drawing.Point(33, 3);
       this.btnStop.Name = "btnStop";
-      this.btnStop.Size = new System.Drawing.Size(75, 23);
+      this.btnStop.Size = new System.Drawing.Size(24, 24);
       this.btnStop.TabIndex = 11;
-      this.btnStop.Text = "Stop";
+      this.toolTip.SetToolTip(this.btnStop, "Pause slave");
       this.btnStop.UseVisualStyleBackColor = true;
       this.btnStop.Click += new System.EventHandler(this.btnStop_Click);
@@ -81,5 +81,5 @@
       this.Controls.Add(this.btnStart);
       this.Name = "SlaveCmdsBase";
-      this.Size = new System.Drawing.Size(100, 155);
+      this.Size = new System.Drawing.Size(92, 30);
       this.ResumeLayout(false);
 
@@ -90,4 +90,5 @@
     private System.Windows.Forms.Button btnStart;
     private System.Windows.Forms.Button btnStop;
+    protected System.Windows.Forms.ToolTip toolTip;
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.Designer.cs	(revision 6823)
@@ -50,9 +50,10 @@
       // btnKill
       // 
-      this.btnKill.Location = new System.Drawing.Point(10, 31);
+      this.btnKill.Location = new System.Drawing.Point(63, 3);
       this.btnKill.Name = "btnKill";
-      this.btnKill.Size = new System.Drawing.Size(75, 23);
+      this.btnKill.Size = new System.Drawing.Size(24, 24);
       this.btnKill.TabIndex = 13;
-      this.btnKill.Text = "Kill";
+      this.toolTip.SetToolTip(this.btnKill, "Stop the Slave Windows Service. \r\nNote that you must have Administrator rights on" +
+              " your \r\nmachine to be able to do this. ");
       this.btnKill.UseVisualStyleBackColor = true;
       this.btnKill.Click += new System.EventHandler(this.btnKill_Click);
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs	(revision 6823)
@@ -56,5 +56,5 @@
       if (CheckRunAsAdmin()) {
         btnKill.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
-        btnKill.Image = HeuristicLab.Common.Resources.VSImageLibrary.BreakpointActive;
+        btnKill.Image = HeuristicLab.Common.Resources.VSImageLibrary.Stop;
       } else {
         this.btnKill.FlatStyle = FlatStyle.System;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.Designer.cs	(revision 6823)
@@ -45,25 +45,30 @@
     /// </summary>
     private void InitializeComponent() {
-      this.slaveView = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveView();
+      this.slaveCmdsBase = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveCmdsBase();
       this.tabSlaveView.SuspendLayout();
       this.mainTabControl.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
+      this.splitContainer.Panel1.SuspendLayout();
+      this.splitContainer.Panel2.SuspendLayout();
+      this.splitContainer.SuspendLayout();
       this.SuspendLayout();
       // 
-      // tabSlaveView
+      // splitContainer
       // 
-      this.tabSlaveView.Controls.Add(this.slaveView);
       // 
-      // slaveView
+      // splitContainer.Panel2
       // 
-      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.slaveView.Caption = "HeuristicLab Slave View";
-      this.slaveView.Content = null;
-      this.slaveView.Location = new System.Drawing.Point(6, 6);
-      this.slaveView.Name = "slaveView";
-      this.slaveView.ReadOnly = false;
-      this.slaveView.Size = new System.Drawing.Size(627, 409);
-      this.slaveView.TabIndex = 0;
+      this.splitContainer.Panel2.Controls.Add(this.slaveCmdsBase);
+      // 
+      // slaveCmdsBase
+      // 
+      this.slaveCmdsBase.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.slaveCmdsBase.Caption = "HeuristicLab Slave Cmds View";
+      this.slaveCmdsBase.Content = null;
+      this.slaveCmdsBase.Location = new System.Drawing.Point(3, 3);
+      this.slaveCmdsBase.Name = "slaveCmdsBase";
+      this.slaveCmdsBase.ReadOnly = false;
+      this.slaveCmdsBase.Size = new System.Drawing.Size(92, 32);
+      this.slaveCmdsBase.TabIndex = 0;
       // 
       // SlaveMainView
@@ -74,4 +79,8 @@
       this.tabSlaveView.ResumeLayout(false);
       this.mainTabControl.ResumeLayout(false);
+      this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
+      this.splitContainer.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -80,5 +89,5 @@
     #endregion
 
-    private SlaveView slaveView;
+    private SlaveCmdsBase slaveCmdsBase;
 
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs	(revision 6823)
@@ -55,5 +55,5 @@
       base.OnContentChanged();
 
-      slaveView.Content = Content;
+      slaveCmdsBase.Content = Content;
     }
 
